# Profiles

Profiles

 - [POST /profiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/createprofile.md): This method will auto-generate an ID and create a new profile. If an ID is specified for the profile, an error will be thrown.
 - [POST /profiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /profiles/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/listprofilesbytrainingproviderid.md): Returns a list of records with the specified training_provider_id
 - [DELETE /profiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/deleteprofile.md): This method will delete a profile with the specified ID.
 - [GET /profiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/getprofile.md): This method will look up a profile by the specified ID and return it back.
 - [PATCH /profiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/patchprofile.md): This method will patch an existing profile with the specified ID, using the HTTP PATCH specification.
 - [PUT /profiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/profiles/updateprofile.md): This method will update an existing profile with the specified ID.
